if (parent !== self)
self.parent.location.replace("http://www.obiektywni.pl");

function CheckTT()
{		
	var vErr = "";
	var elTe = document.getElementById("pwTemat");
	var elTr = document.getElementById("pwTresc");		
	
	if(elTe || elTr)		
	{
		var vTe = elTe.value;
		var vTr = elTr.value;
		
		if(vTe == "")
			vErr += "Pole Temat nie może pozostać puste.\n";
			
		if(vTr == "")
			vErr += "Pole Treść nie może pozostać puste.\n";
			
		if(vErr != "")
		{
			alert(vErr);
			return false;
		}
	}
	
	return true;
}	

function RedMail()
{
	var adres = "re" + "dak" + "cja@o" + "biekt" + "ywni.p" + "l";
	var out = "<a class='clr_darkgreen' href='mailto:" + adres + "'>" + adres + "</a>";
	
	document.write(out);
}

function ChangeLevel(idIn, mov)
{
	var elIn = document.getElementById(idIn);
	
	if(elIn)
	{
		var vIn = parseFloat(elIn.value);
		vIn += mov;
		
		if(vIn < -3)
			vIn = -3;
			
		if(vIn > 5)
			vIn = 5;
			
		elIn.value = Math.round(vIn * 10) / 10;
	}
}

function KomentarzCountWords(idT, idR1, idR5)
{
	var cWhite = 0;
	var bWhite = true;
	var elt = document.getElementById(idT);
	var elr1 = document.getElementById(idR1);
	var elr5 = document.getElementById(idR5);
	vt = elt.value;
	
	if(elr1 && elr5)
		if(elr1.checked == true || elr5.checked == true)
		{
			
			for(var i = 0; i < vt.length; i++)
			{
				var ct = vt.substring(i, i+1);
				if(ct == " " || ct == "\n" || ct == "\t")
					bWhite = true;
				else if(bWhite == true)
				{
					cWhite++;
					bWhite = false;
				}
			}
			
			if(cWhite < 10)
			{
				alert("Oceny -1 i 5 wymagają komentarza zawierającego co najmniej 10 słów.\nW tej chwili komentarz zawiera ich: "+cWhite+".");
				return false;
			}
		}
		
	return true;
}

function KrytykaCountWords(id)
{
	var cWhite = 0;
	var bWhite = true;
	var elt = document.getElementById(id);
	vt = elt.value;
	for(var i = 0; i < vt.length; i++)
	{
		var ct = vt.substring(i, i+1);
		if(ct == " " || ct == "\n" || ct == "\t")
			bWhite = true;
		else if(bWhite == true)
		{
			cWhite++;
			bWhite = false;
		}
	}
	
	if(cWhite < 15)
	{
		alert("Krytyka musi zawierać co najmniej 15 słów.\nW tej chwili zawiera "+cWhite+".");
		return false;
	}
	
	return true;
}

/*	nieuzywana - zastapiona przez KrytykaCountWords 
		zostawiona na jakis czas w celu chronienia 
		userow mocno skeszowanych */
function CountWords(id)
{
	var cWhite = 0;
	var bWhite = true;
	var elt = document.getElementById(id);
	vt = elt.value;
	for(var i = 0; i < vt.length; i++)
	{
		var ct = vt.substring(i, i+1);
		if(ct == " " || ct == "\n" || ct == "\t")
			bWhite = true;
		else if(bWhite == true)
		{
			cWhite++;
			bWhite = false;
		}
	}
	
	if(cWhite < 15)
	{
		alert("Krytyka musi zawierać co najmniej 15 słów.\nW tej chwili zawiera "+cWhite+".");
		return false;
	}
	
	return true;
}

function DoClick(e)
{
	if(!e)
		var e = window.event;
		
	var tg = (e.target) ? e.target : e.srcElement;	
	
	
	if(tg.className.substr(0,2) == 'pm')
		window.open('../galeria/krytyka_oceny.php?id=' + tg.className.substr(3, tg.className.length - 3), 'popup', 'toolbar=0, width=400, height=280, left=500, top=100');
}

document.onclick = DoClick;

// tooltips
wmtt = null;

document.onmousemove = updateWMTT;

function updateWMTT(e) {
	x = (document.all) ? window.event.x + document.body.scrollLeft : e.pageX;
	y = (document.all) ? window.event.y + document.body.scrollTop  : e.pageY;
	if (wmtt != null) {
		wmtt.style.left = (x + 20) + "px";
		wmtt.style.top 	= (y + 20) + "px";
	}
}

function showWMTT(id) {
	wmtt = document.getElementById(id);
	wmtt.style.display = "block"
}

function hideWMTT() {
	wmtt.style.display = "none";
}